<?php
include ("conexion.php");
//==================================================

//Consultas 19

if (isset($_GET['expediente']))
{
		$expediente=$_GET['expediente'];
		//echo $expediente." ";
		$cons14="SELECT NomPaciente, ApePatPaciente,ApeMatPaciente FROM pacientes WHERE CvePaciente='$expediente'";
		$res14=mysql_query($cons14,$conex) or die ("No se consulto el nombre del paciente :: cons14");
		$campo=mysql_fetch_assoc($res14);
		echo "<input name='nompaciente' type='text' id='nompaciente' class='cuadrotexto' size='40' maxlength='50' readonly='readonly' value='".$campo['ApePatPaciente']." ".$campo['ApeMatPaciente']." ".$campo['NomPaciente']."'>"; 

}//END

//======================================================
if (isset($_GET['clavedoc']))
{
		$clavedoc=$_GET['clavedoc'];
		//echo $expediente." ";
		$cons15="SELECT NomPersonal, ApePatPersonal,ApeMatPersonal FROM personal WHERE CvePersonal='$clavedoc'";
		$res15=mysql_query($cons15,$conex) or die ("No se consulto el nombre del doctor :: cons15");
		$campo2=mysql_fetch_assoc($res15);
		echo "<input name='nomdoctor' type='text' id='nomdoctor' class='cuadrotexto' size='40' maxlength='50' readonly='readonly' value='".$campo2['ApePatPersonal']." ".$campo2['ApeMatPersonal']." ".$campo2['NomPersonal']."'>"; 
}//END
//========================================================
if (isset($_GET['nomprod']))
{
		$producto=$_GET['nomprod'];
		//=========IMPRESION DE TABLA
			  
		echo "<table border=1>";
		echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";
		
		echo "<td class='style4'>";
		echo " Id ";
		echo "</td>";
		
		
		echo "<td class='style4'>";
		echo "Nombre";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "Descripci&oacute;n";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "M&iacute;nimo";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "Precio";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "Unidades Paquete";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "Editar";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "Eliminar";
		echo "</td>";
		
		
		echo "</tr>";

			$query="SELECT clave,nombre,descripcion,minimo,precio,unidadespaquete FROM productos where nombre like '$producto%' ";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{

         
	echo "<tr align='center'>";
	 for ($i=0;$i< $numero_campos;$i++){
	
	echo "<td class='style1'>";
	echo $fila[$i];
	echo "</td>";
	
	}
	//Editar
	echo "<td class='style4'>";
	echo "<a href='main.php?a=22&idProd="; echo $fila[0]; echo "'> <img src='img/icon_edit.jpg' border='0' ALT='Editar producto'> </a>";
	echo "</td>";
	//Eliminar
	echo "<td class='style4'>";
	echo "<a href='deleteproducto.php?idProd="; echo $fila[0]; echo "'> <img src='img/icon_delete.jpg' border='0' ALT='Eliminar producto'> </a>";
	echo "</td>";
	echo "</tr>";
	}
	echo "</table>";
}//END
//======================================

/*
if (isset($_GET['expediente']))
{
		$expediente=$_GET['expediente'];
		//echo $expediente." ";
		echo "<input name='expedi' type='text' id='expedi' class='cuadrotexto' size='10' maxlength='15' readonly='readonly' value='".$expediente."'>";
}//END
*/

//==================================================
if (isset($_GET['claveBorra']) and isset($_GET['folio']))
{
		$borra=$_GET['claveBorra'];
		$folio=$_GET['folio'];
		$cons5="DELETE FROM contenido_salida Where idProducto = '$borra' and idSalida = '$folio'" ;
		$res5=mysql_query($cons5,$conex) or die ("No se elimino el producto");
		$cons001="SELECT * FROM productos WHERE clave='$borra'";
		$res001=mysql_query($cons001,$conex) or die ("No se ejecuto cons01");
		$nomproduct=mysql_result($res001,0,'nombre');
		
		echo "<center><span class='style3'>Producto ".$borra." - ".$nomproduct." cancelado.</span></center><br>";
}//END


//==================================================
if (isset($_GET['clave'])and ($_GET['cantidad']) )
{
		//OBTENGO LA CLAVB, CANTIDAD Y FOLIO
		$clave=$_GET['clave'];
		$cantidad=$_GET['cantidad'];
		$folio=$_GET['folio'];
		$idClinica=$_GET['clinica'];
		//PRIMERO VERIFICO QUE EXISTA EL PRODUCTO EN LA TABLA PRODUCTOS
		$cons1="SELECT * FROM productos WHERE clave='$clave'";
		$res1=mysql_query($cons1,$conex) or die ("No se ejecuto el primer paso");
		$num_filas=mysql_num_rows($res1);
		//echo $num_filas;
		if ($num_filas == 0)
		{
			echo "<center><span class='style3'>No existe el producto ".$clave."</span></center><br>";
		}
		else
		{
			//AQUI DEBE IR EL QUE TENGA DISPONIBLES EN ALMACEN
			//PRIMERO CHECAR SI EXISTE EL PRODUCTO DE ACUERDO A LA CLINICA Y CLAVE DEL PRODUCTO
			$cons13="SELECT existencia FROM almacenes WHERE idClinica='$idClinica' and idProducto='$clave'";
			$res13=mysql_query($cons13,$conex) or die ("No se encontro el producto en almacenes");
			@$existencia=mysql_result($res13,0,'existencia');		
			
			$cons01="SELECT * FROM productos WHERE clave='$clave'";
			$res01=mysql_query($cons01,$conex) or die ("No se ejecuto cons01");
			$nomproduct=mysql_result($res01,0,'nombre');
			
			if ($existencia < $cantidad)
			{
				echo "<center><span class='style3'>No hay suficiente producto ".$clave." - ".$nomproduct."</span></center><br>";
			}
			else
			{
				//VERIFICO SI EXISTE EN LA TABLA CONTENIDO PARA SOLO AGREGARLOS
				$cons6="SELECT * FROM contenido_salida WHERE idSalida = '$folio' and idProducto = '$clave'";
				$res6=mysql_query($cons6,$conex) or die ("No se realizo cons6");
				$nume_filas=mysql_num_rows($res6);
				//echo $num_filas;
				if ($nume_filas == 0)
				{
					//SEGUNDO - SI EXISTE, LO INSERTO A LA TABLA DE CONTENIDO		
					$cons2="INSERT INTO contenido_salida (idSalida,idProducto,cantidad) VALUES ('$folio','$clave','$cantidad')";
					$res2=mysql_query($cons2,$conex);
				}
				else
				{
					//SI YA EXISTE PUES SOLO AGREGO LOS PRODUCTOS
					$totalmas=0;
					$findprod=mysql_result($res6,0,'cantidad');
					$totalmas=$findprod + $cantidad;
					$cons7="UPDATE contenido_salida SET cantidad='$totalmas' Where idSalida='$folio' and idProducto='$clave'";
					$res7=mysql_query($cons7,$conex) or die ("No se pudo actualizar en cons7");
				}
			}
		}
}//END

/*
if (isset($_GET['fol']))
{
		$fol=$_GET['fol'];
		$total=0.00;
		//echo $folio." ---- ";
		$cons5="SELECT idProducto,cantidad FROM contenido_salida_temp WHERE idSalida='$fol'";
		$res5=mysql_query($cons5,$conex) or die ("No se consultaron los datos IF 3 CONS 1");
		while ($fila5=mysql_fetch_row($res5))
		{
			$cons6="SELECT precio FROM productos WHERE clave='$fila5[0]'";
			$res6=mysql_query($cons6,$conex) or die ("No se consultaron los datos IF 3 CONS 2");
			$precio=mysql_result($res6,0,'precio');
			$importe=$fila5[1]*$precio;
			$total=$total + $importe;
		}
		printf ("<span class='Estilo2'>%.2f", $total);
		echo "</span>";
		
}//END
*/

if (isset($_GET['paquete']))
{
		//OBTENGO LA CLAVE, CANTIDAD Y FOLIO
		$paquete=$_GET['paquete'];
		$folio=$_GET['folio'];
		//Nombre del paquete
		$cons12="SELECT nompaquete FROM paquetes WHERE idPaquete='$paquete'";
		$res12=mysql_query($cons12,$conex) or die ("No se ejecuto cons12");
		$nompaquete=mysql_result($res12,0,'nompaquete');
		//PRIMERO SELECCIONO TODO EL CONTENIDO DEL PAQUETE
		$cons8="SELECT clave,cantidad FROM contenido_paquete WHERE idPaquete='$paquete'";
		$res8=mysql_query($cons8,$conex) or die ("No se ejecuto el primer paso cons8");
		while ($filax=mysql_fetch_row($res8))
		{
				//VERIFICO SI EXISTE EN LA TABLA CONTENIDO PARA SOLO AGREGARLOS
				$cons9="SELECT * FROM contenido_salida WHERE idSalida = '$folio' and idProducto = '$filax[0]'";
				$res9=mysql_query($cons9,$conex) or die ("No se realizo cons9");
				$nume_filasx=mysql_num_rows($res9);
				//echo $num_filas;
				if ($nume_filasx == 0)
				{
					//SI EXISTE, LO INSERTO A LA TABLA DE CONTENIDO		
					$cons10="INSERT INTO contenido_salida (idSalida,idProducto,cantidad) VALUES ('$folio','$filax[0]','$filax[1]')";
					$res10=mysql_query($cons10,$conex) or die ("No se realizo cons10");
				}
				else//sino
				{
					//OBTENGO LA CANTIDAD DEL PRODUCTO EXISTENTE
					$findprod=mysql_result($res9,0,'cantidad');
					//SI YA EXISTE PUES SOLO AGREGO LOS PRODUCTOS
					$findprod=$findprod + $filax[1];
					$cons11="UPDATE contenido_salida SET cantidad='$findprod' Where idSalida='$folio' and idProducto='$filax[0]'";
					$res11=mysql_query($cons11,$conex) or die ("No se pudo actualizar en cons11");
				}
		}
		echo "<center><span class='style10'>Paquete ".$nompaquete." agregado.</span></center><br>";
}//END


//============IMPRESION GENERAL DE LA TABLA DE CONTENIDO_SALIDA_TEMP===============

	if(isset($_GET['folio']) && $folio)
	{ 
		$total=0.00;
		echo "<div align='center'>";
		echo "<table border=1>";
		echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";
		
		echo "<td>";
		echo "Clave";
		echo "</td>";
		
		echo "<td>";
		echo "Producto";
		echo "</td>";
		
		echo "<td>";
		echo "Presentaci&oacute;n";
		echo "</td>";
		
		echo "<td>";
		echo "Cantidad";
		echo "</td>";
		
		echo "<td>";
		echo "Precio";
		echo "</td>";
		
		echo "<td>";
		echo "Importe";
		echo "</td>";
		
		echo "<td>";
		echo "Cancelar";
		echo "</td>";
		
		echo "</tr>";
		//CONTENIDO DE LA TABLA
		$cons3="SELECT idProducto,cantidad FROM contenido_salida WHERE idSalida='$folio'" ;
		$res3=mysql_query($cons3,$conex) or die ("No se realizo con exito la consulta de contenido_salida");
		$numero_filas3=mysql_num_rows($res3);
		$numero_campos3= mysql_num_fields($res3);
		while ($fila3=mysql_fetch_row($res3))
		{				  
			echo "<tr align='center'>";
			//CLAVE
			echo "<td class='style1'>";
			echo $fila3[0];
			echo "</td>";
			/*
			for ($i=0;$i< $numero_campos3;$i++)
			{		
				echo "<td class='style1'>";
				echo $fila[$i];
				echo "</td>";
			}//end for */
			//NOMBRE, DESCRIPCION, PRECIO
			$cons4="SELECT nombre,idPresentacion,precio FROM productos Where clave = '".$fila3[0]."'" ;
			$res4=mysql_query($cons4,$conex) or die ("No se realizo con exito la consulta CONS4");
			$nombre=mysql_result($res4,0,'nombre');
			$idprese=mysql_result($res4,0,'idPresentacion');
			$precio=mysql_result($res4,0,'precio');
			
			echo "<td class='style1'>";
			echo $nombre;
			echo "</td>";
			
			$cons04="SELECT presentacion FROM presentaciones Where idPresentacion = '$idprese'" ;
			$res04=mysql_query($cons04,$conex) or die ("No se realizo con exito la consulta de la presentacion");
			$presen=mysql_result($res04,0,'presentacion');
			
			echo "<td class='style1'>";
			echo $presen;
			echo "</td>";
			
			//CANTIDAD
			echo "<td class='style1'>";
			echo $fila3[1];
			echo "</td>";
			
			//PRECIO
			echo "<td class='style1'>";
			echo "$ ".$precio;
			echo "</td>";
			
			//IMPORTE
			$importe=$fila3[1]*$precio;
			$total=$total + $importe;
			
			echo "<td class='style1'>";
			//echo "$ ".$importe;
			printf ("$ %.2f", $importe );
			echo "</td>";
			//ELIMINAR
			//Eliminar
echo "<td class='style4'>";
//echo "<input type='image' src='img/icon_delete.jpg' id='clave_prod' onclick='javascript:borra_producto('".$fila3[0]."')'>";
//echo "<input type='text' value='".$fila3[0]."' name='clave_prod' id='clave_prod'>";
echo "<a href='javascript:borra_producto(&quot;".$fila3[0]."&quot;)'><img src='img/icon_delete.jpg' border='0' ALT='Cancelar producto'> </a>";
echo "</td>";
		}//end while
		
		echo "</tr>";
		echo "</table>";
				  
		echo "<p></p>";
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='5' bgcolor='#CCCCCC'>";
        echo "<tr>";
        echo "<td width='60%'>&nbsp;</td>";
        echo "<td width='20%' valign='bottom'><div align='right'><span class='style4'>TOTAL: $ </span></div></td>";
        echo "<td width='20%' valign='bottom'>";
			echo "<table width='100%' height='100%' border='1' cellpadding='0' cellspacing='1'>";
			echo "<tr>";
			echo "<td bgcolor='#FFFFFF'><div align='right'>";
			printf ("<span class='Estilo2'>%.2f", $total);
			echo "</span>";
			//CUADRO CONTENIENDO TOTAL
			echo "<input name='total' type='hidden' value='".$total."'>";			
			echo "</td>";
			echo "</tr>";
			echo "</table>";
		echo "</td>";
        echo "</tr>";
        echo "</table>";
}//END impresion tabla

//======================================================

if (isset($_GET['proveedor']))
{
		$idprovee=$_GET['proveedor'];
		
		echo "<table border=1 bgcolor='#FFFFFF' align='center'>";
		echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";
		
		echo "<td class='style4'>";
		echo "No. Factura";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "Fecha Compra";
		echo "</td>";
		
		echo "</tr>";
		$cons16="SELECT factura,fechaCompra,idCompra FROM compras WHERE idProveedor ='$idprovee' ORDER BY fechaCompra DESC";
		$res16=mysql_query($cons16,$conex) or die ("No se consultaron las facturas :: cons16");
		$numero_filas=mysql_num_rows($res16);
		$numero_campos= mysql_num_fields($res16);
		while($fila = mysql_fetch_array($res16))
		{
			echo "<tr align='center'>";
			
				echo "<td class='style2'>";
				//
				echo "<p align='left'><a href='javascript:vercompra(".$fila[2].")'>".$fila[0]."</a></p>";
				echo "</td>";	
				
				echo "<td class='style1'>";
				echo "<p align='left'>".$fila[1]."</p>";
				echo "</td>";	
					
			echo "</tr>";
		}
		echo "</table>";
}//END

//======================================================

if (isset($_GET['fechafact']))
{
		$fecha=$_GET['fechafact'];
		
		echo "<table border=1 bgcolor='#FFFFFF' align='center'>";
		echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";
		
		echo "<td class='style4'>";
		echo "No. Factura";
		echo "</td>";
		
		echo "<td class='style4'>";
		echo "Proveedor";
		echo "</td>";
		
		echo "</tr>";
		$cons18="SELECT factura,idProveedor,idCompra FROM compras WHERE fechaCompra ='$fecha'";
		$res18=mysql_query($cons18,$conex) or die ("No se consultaron las facturas :: cons18");
		$numero_filas=mysql_num_rows($res18);
		$numero_campos= mysql_num_fields($res18);
		while($fila = mysql_fetch_array($res18))
		{
			echo "<tr align='center'>";
			
				echo "<td class='style2'>";
				//
				echo "<p align='left'><a href='javascript:vercompra(".$fila[2].")'>".$fila[0]."</a></p>";
				echo "</td>";	
				
				echo "<td class='style1'>";
				$cons19="SELECT nombre FROM proveedor WHERE idProveedor ='$fila[1]'";
				$res19=mysql_query($cons19,$conex) or die ("No se realizo cons19");
				$nomprovee=mysql_result($res19,0,'nombre');
				echo "<p align='left'>".$nomprovee."</p>";
				echo "</td>";	
					
			echo "</tr>";
		}
		echo "</table>";
}//END

//==========================


if (isset($_GET['idcompra']))
{
		$idcompra=$_GET['idcompra'];
		$cons17="SELECT * FROM compras WHERE idCompra='$idcompra'";
		$res17=mysql_query($cons17,$conex) or die ("No se realizó la consulta :: cons17");
		$fecha=mysql_result($res17,0,'fechaCompra');
		$idprovee=mysql_result($res17,0,'idProveedor');
		$idClinica=mysql_result($res17,0,'idClinica');
		$factura=mysql_result($res17,0,'factura');
		//echo $fecha." ".$idprovee." ".$idClinica." ".$factura;
echo "<table width='488' border='0' align='center'>";
echo "  <tr>";
echo "    <td><table width='100%' border='0' align='center' cellspacing='0'>";
echo "      <tr>";
echo "        <td width='30%'><hr /></td>";
echo "        <td width='40%' align='center'><span class='style7'>Detalles de compra </span></td>";
echo "        <td width='30%'><hr /></td>";
echo "      </tr>";
echo "    </table>";
echo "        <br />";
echo "        <table width='100%' border='1' align='center' cellspacing='2'>";
echo "          <tr>";
echo "            <td width='22%'><div align='center'><span class='style4'>Fecha </span></div></td>";
echo "            <td width='38%'><div align='center'><span class='style4'>Proveedor </span></div></td>";
echo "            <td width='23%'><div align='center'><span class='style4'>Factura </span></div></td>";
echo "            <td width='17%'><div align='center'><span class='style4'>Cl&iacute;nica </span></div></td>";
echo "          </tr>";
echo "          <tr>";
echo "            <td><div align='center'><span class='style9'>".$fecha."</span></div></td>";
echo "            <td><div align='center'>";

					include('conexion.php');
					$cons="select nombre from proveedor WHERE idProveedor = '$idprovee'" ;
					$res=mysql_query($cons,$conex) or die ("No se pudo realizar la consulta de Proveedor");
					$proveedor=mysql_result($res,0,'nombre');
					echo "<span class='style9'>".$proveedor."</span>";

           echo" </div></td>";
          echo "  <td><div align='center'><span class='style3'>".$factura."</span></div></td>";
           echo "<td><div align='center'>";
					$cons2="select clinica from clinicas WHERE idClinica = '$idClinica'" ;
					$res2=mysql_query($cons2,$conex) or die ("No se pudo realizar la consulta de la clinica");
					$clinica=mysql_result($res2,0,'clinica');
					echo "<span class='style9'>".$clinica."</span>";
					
           echo " </div></td>";
        echo "    </tr>";
      echo " </table>";
     echo "   <p align='center' class='style7'>";

echo "<table border=1>";
echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";


echo "<td class='style4'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4'>";
echo "Descripci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Unidades Paquete";
echo "</td>";

echo "<td class='style4'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Cantidad Paquetes";
echo "</td>";

echo "<td class='style4'>";
echo "Precio Compra Paquete";
echo "</td>";

echo "<td class='style4'>";
echo "Precio Compra Unidad";
echo "</td>";

echo "</tr>";

include ("conexion.php");
			$query2="SELECT idProducto,cantidad,paquetes,precio From contenido_compra WHERE idCompra='$idcompra'";
			$result2=mysql_query($query2,$conex) or die ("No se ejecuto Query2, Consultas Compras");
			while($fila2 = mysql_fetch_array($result2))
			{
	
				$query="SELECT clave,nombre,descripcion,unidadespaquete FROM productos Where clave='$fila2[0]'";
				$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
				$numero_filas=mysql_num_rows($result);
				$numero_campos= mysql_num_fields($result);
				while($fila = mysql_fetch_array($result))
				{

         
echo "<tr align='center'>";

//CONSULTO NOMBRE DE LA PRESENTACION
$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
$idpresen=mysql_result($res1,0,'idPresentacion');

$cons5="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
$res5=mysql_query($cons5,$conex) or die ("No consulto nombre de presentacion");
$presen=mysql_result($res5,0,'presentacion');


//FOR DE LOS CAMPOS BUSCADOS
 for ($i=0;$i< $numero_campos;$i++)
 {

echo "<td class='style1'>";
echo $fila[$i];
echo "</td>";

}
//IMPRIMO PRESENTACION
echo "<td class='style1'>";
echo $presen;
echo "</td>";

//CANTIDAD UNIDADES
//echo "<td class='titulo' bgcolor='#999999'>";
//echo $fila2[1];
//echo "</td>";

//CANTIDAD UNIDADES
echo "<td class='titulo' bgcolor='#999999'>";
echo $fila2[2];
echo "</td>";

//PRECIO COMPRA
echo "<td class='titulo' bgcolor='#999999'>";
echo $fila2[3];
echo "</td>";

//PRECIO POR UNIDAD
echo "<td class='titulo' bgcolor='#999999'>";
$costounidad=$fila2[3] / $fila[3]; // COSTO POR UNIDAD
printf ("%.2f", $costounidad);
//echo $costounidad;
echo "</td>";

}
echo "</tr>";
}
echo "</table>";

echo "  </p>";
 echo " <p align='center' class='style7'>&nbsp;</p></td>";
  echo "</tr>";
echo "</table>";
}//END


//======================= ABRIR DATOS AL INICIAR PUNTO DE VENTA >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
//============IMPRESION GENERAL DE LA TABLA DE CONTENIDO_SALIDA_TEMP===============

	if(isset($_GET['consulabrirdatos']))
	{ 
		$folioabrirdatos=$_GET['consulabrirdatos'];
		//echo $folioabrirdatos;
		$total=0.00;
		echo "<div align='center'>";
		echo "<table border=1>";
		echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";
		
		echo "<td>";
		echo "Clave";
		echo "</td>";
		
		echo "<td>";
		echo "Producto";
		echo "</td>";
		
		echo "<td>";
		echo "Presentaci&oacute;n";
		echo "</td>";
		
		echo "<td>";
		echo "Cantidad";
		echo "</td>";
		
		echo "<td>";
		echo "Precio";
		echo "</td>";
		
		echo "<td>";
		echo "Importe";
		echo "</td>";
		
		echo "<td>";
		echo "Cancelar";
		echo "</td>";
		
		echo "</tr>";
		//CONTENIDO DE LA TABLA
		$cons3="SELECT idProducto,cantidad FROM contenido_salida WHERE idSalida='$folioabrirdatos'" ;
		$res3=mysql_query($cons3,$conex) or die ("No se realizo con exito la consulta de contenido_salida");
		$numero_filas3=mysql_num_rows($res3);
		$numero_campos3= mysql_num_fields($res3);
		while ($fila3=mysql_fetch_row($res3))
		{				  
			echo "<tr align='center'>";
			//CLAVE
			echo "<td class='style1'>";
			echo $fila3[0];
			echo "</td>";
			/*
			for ($i=0;$i< $numero_campos3;$i++)
			{		
				echo "<td class='style1'>";
				echo $fila[$i];
				echo "</td>";
			}//end for */
			//NOMBRE, DESCRIPCION, PRECIO
			$cons4="SELECT nombre,idPresentacion,precio FROM productos Where clave = '".$fila3[0]."'" ;
			$res4=mysql_query($cons4,$conex) or die ("No se realizo con exito la consulta CONS4");
			$nombre=mysql_result($res4,0,'nombre');
			$idprese=mysql_result($res4,0,'idPresentacion');
			$precio=mysql_result($res4,0,'precio');
			
			echo "<td class='style1'>";
			echo $nombre;
			echo "</td>";
			
			$cons04="SELECT presentacion FROM presentaciones Where idPresentacion = '$idprese'" ;
			$res04=mysql_query($cons04,$conex) or die ("No se realizo con exito la consulta de la presentacion");
			$presen=mysql_result($res04,0,'presentacion');
			
			echo "<td class='style1'>";
			echo $presen;
			echo "</td>";
			
			//CANTIDAD
			echo "<td class='style1'>";
			echo $fila3[1];
			echo "</td>";
			
			//PRECIO
			echo "<td class='style1'>";
			echo "$ ".$precio;
			echo "</td>";
			
			//IMPORTE
			$importe=$fila3[1]*$precio;
			$total=$total + $importe;
			
			echo "<td class='style1'>";
			//echo "$ ".$importe;
			printf ("$ %.2f", $importe );
			echo "</td>";
			//ELIMINAR
			//Eliminar
echo "<td class='style4'>";
//echo "<input type='image' src='img/icon_delete.jpg' id='clave_prod' onclick='javascript:borra_producto('".$fila3[0]."')'>";
//echo "<input type='text' value='".$fila3[0]."' name='clave_prod' id='clave_prod'>";
echo "<a href='javascript:borra_producto(&quot;".$fila3[0]."&quot;)'><img src='img/icon_delete.jpg' border='0' ALT='Cancelar producto'> </a>";
echo "</td>";
		}//end while
		
		echo "</tr>";
		echo "</table>";
				  
		echo "<p></p>";
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='5' bgcolor='#CCCCCC'>";
        echo "<tr>";
        echo "<td width='60%'>&nbsp;</td>";
        echo "<td width='20%' valign='bottom'><div align='right'><span class='style4'>TOTAL: $ </span></div></td>";
        echo "<td width='20%' valign='bottom'>";
			echo "<table width='100%' height='100%' border='1' cellpadding='0' cellspacing='1'>";
			echo "<tr>";
			echo "<td bgcolor='#FFFFFF'><div align='right'>";
			printf ("<span class='Estilo2'>%.2f", $total);
			echo "</span>";
			//CUADRO CONTENIENDO TOTAL
			echo "<input name='total' type='hidden' value='".$total."'>";			
			echo "</td>";
			echo "</tr>";
			echo "</table>";
		echo "</td>";
        echo "</tr>";
        echo "</table>";
}//END impresion tabla

//======================================================>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><



//===CERRAR CONEXION
mysql_close($conex);
		

?>
